policy_resalt_task.c File Reference
`#include "config.h"`
`#include "duration.h"`
`#include "file.h"`
`#include "log.h"`
`#include "str.h"`
`#include "scheduler/task.h"`
`#include "daemon/engine.h"`
`#include "db/policy.h"`
`#include <stdlib.h>`
`#include "policy/policy_resalt_task.h"`
`#include "signconf/signconf_task.h"`

Go to the source code of this file.

## Macros

#define | __BSD_VISIBLE 1

## Functions

int | flush_resalt_task_all (engine_type *engine, db_connection_t *dbconn)
int | flush_resalt_task_now (engine_type *engine, db_connection_t *dbconn)

## Macro Definition Documentation

## __BSD_VISIBLE

#define __BSD_VISIBLE 1

Definition at line 41 of file policy_resalt_task.c.

## Function Documentation

## flush_resalt_task_all()

int flush_resalt_task_all | ( | engine_type * | engine,
|  | db_connection_t * | dbconn
| ) |  |

Definition at line 181 of file policy_resalt_task.c.

References policy_list_free(), policy_list_get(), policy_list_new(), policy_list_next(), policy_name(), and engine_struct::taskq.

Referenced by autostart().

## flush_resalt_task_now()

int flush_resalt_task_now | ( | engine_type * | engine,
|  | db_connection_t * | dbconn
| ) |  |

Definition at line 206 of file policy_resalt_task.c.

References policy_list_free(), policy_list_get(), policy_list_new(), policy_list_next(), policy_name(), and engine_struct::taskq.